unit Uhcpan;
{Panel frontal de la fuente de alimentación}
interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons,Unitgen, ExtCtrls, SensMap, MPlayer;

type
  TFormHC6000Panel = class(TForm)
    SensitiveMap1: TSensitiveMap;
    Panel1: TPanel;
    GroupBox1: TGroupBox;
    LabelMando: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    GroupBox2: TGroupBox;
    Memo1: TMemo;
    Panel2: TPanel;
    BitBtn2: TBitBtn;
    MediaPlayer1: TMediaPlayer;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    GroupBox3: TGroupBox;
    Memo2: TMemo;
    GroupBox4: TGroupBox;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure SensitiveMap1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormHC6000Panel: TFormHC6000Panel;

implementation

{$R *.DFM}

procedure TFormHC6000Panel.BitBtn1Click(Sender: TObject);
begin
     release;
     panelabierto:=false;
end;

procedure TFormHC6000Panel.FormCreate(Sender: TObject);
begin
mediaplayer1.open;
Screen.cursors[CR]:=cur;
SensitiveMap1.Cursor_alt:=CR;
{SensitiveMap1.Situar_Cuadro(,,,145,'Amperímetro',Label1);
SensitiveMap1.Situar_Cuadro(238,20,398,147,'Voltímetro',Label2);
SensitiveMap1.Situar_Cuadro(330,270,362,301,'Borne negativo',Label3);
SensitiveMap1.Situar_Cuadro(368,270,402,302,'Borne positivo',Label4);
SensitiveMap1.Situar_Cuadro(349,306,381,334,'Borne "Tierra"',Label5);
SensitiveMap1.Situar_Cuadro(256,283,306,330,'Mando grueso de tensión',Label6);
SensitiveMap1.Situar_Cuadro(184,281,227,330,'Mando fino de tensión',Label7);
SensitiveMap1.Situar_Cuadro(110,279,153,326,'Mando de control de corriente',Label8);
SensitiveMap1.Situar_Cuadro(38,286,64,312,'Interruptor ON/OFF',Label9);
SensitiveMap1.Situar_Cuadro(47,196,116,213,'Conmutador de escala (A)',Label10);
SensitiveMap1.Situar_Cuadro(298,196,353,215,'Conmutador de escala (V)',Label11);
SensitiveMap1.Situar_Cuadro(179,156,236,189,'Conmutadores de tensión y corriente',Label12);

{SensitiveMap1.Situar_Cuadro();}
end;

procedure TFormHC6000Panel.SensitiveMap1Click(Sender: TObject);
var
   cuad,i:integer;
   qz:string;
begin
     memo1.clear;
     memo2.clear;
     labelmando.caption:='';
     cuad:=SensitiveMap1.Cuadro_activo;
     qz:=SensitiveMap1.Quezona(cuad);
     if (qz=' Borne positivo ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Borne Positivo'));
        Memo1.lines[0]:='Salida positiva de tensión.';
        Memo2.lines[0]:='A ella se debe conectar el cable positivo (rojo) del circuito.';
     end;
     if (qz=' Borne negativo ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Borne Negativo'));
        Memo1.lines[0]:='Salida negativa de tensión.';
        Memo2.lines[0]:='A ella se debe conectar el cable negativo (negro) del circuito.';
     end;
     if (qz=' Borne "Tierra" ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Borne "Tierra"'));
        Memo1.lines[0]:='Conexión a la masa.';
        Memo2.lines[0]:='El aparato ya lleva la toma de tierra en su conexión a la red; sólo '+
                            'se usará este borne en el caso que la red no tenga toma de tierra '+
                            'normalizada.';
     end;
     if (qz=' Interruptor ON/OFF ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Interruptor ON/OFF'));
        Memo1.lines[0]:='Interruptor de puesta en marcha.';
        Memo2.lines[0]:='Interruptor normal y corriente.';
     end;
     if (qz=' Mando grueso de tensión ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Mando grueso de tensión'));
        Memo1.lines[0]:='Mando para controlar la tensión de salida de forma aproximada.';
        Memo2.lines[0]:= 'Girándolo hacia la izquierda, la tensión disminuye en cantidades '+
                         'más o menos grandes; hacia la derecha, la tensión aumenta.';
     end;
     if (qz=' Mando fino de tensión ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Mando fino de tensión'));
        Memo1.lines[0]:='Mando para dotar a la tensión de salida de una mayor precisión.';
        Memo2.lines[0]:= 'Girándolo hacia la izquierda, la tensión disminuye en cantidades '+
                         'muy pequeñas; hacia la derecha, la tensión aumenta.';
     end;
     if (qz=' Mando de control de corriente ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Mando de control de corriente'));
        Memo1.lines[0]:='Mando para fijar la intensidad máxima medible con el amperímetro.';
        Memo2.lines[0]:= 'Se debe cortocircuitar la salida, después dar una tensión determinada, '+
                         'y por último ir aumentando el valor de intensidad hasta el límite que '+
                         'se desee medir.';
     end;
     if (qz=' Amperímetro ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Amperímetro'));
        Memo1.lines[0]:='Instrumento medidor de la intensidad del circuito tratado.';
        Memo2.lines[0]:='No se usa, simplemente mide.';
     end;
     if (qz=' Voltímetro ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Voltímetro'));
        Memo1.lines[0]:='Instrumento medidor del potencial de salida.';
        Memo2.lines[0]:='No se usa, simplemente mide.';
     end;
     if (qz=' Conmutador de escala (A) ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Conmutador de escala (A)'));
        Memo1.lines[0]:='Este mando sirve para cambiar el fondo de escala del '+
                        'Amperímetro, entre 0-0.1, 0-1 y 0-4 Amperios.';
        Memo2.lines[0]:= 'Cambiando la palanca a las posiciones donde se leen los '+
                         'valores correspondientes.';
     end;
     if (qz=' Conmutador de escala (V) ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Conmutador de escala (V)'));
        Memo1.lines[0]:='Este mando sirve para cambiar el fondo de escala del '+
                        'Voltímetro, entre 0-3, 0-12 y 0-30 Voltios.';
        Memo2.lines[0]:= 'Cambiando la palanca a las posiciones donde se leen los '+
                         'valores correspondientes.';
     end;
     if (qz=' Conmutadores de tensión y corriente ') then
     begin
        if sonido then mediaplayer1.play;
        Labelmando.caption:=strpas(strupper('Conmutadores tensión y corriente'));
        Memo1.lines[0]:= 'Sirven para proporcionar dos márgenes distintos a la '+
                         'tensión y a la corriente: el de la izquierda da unos '+
                         'márgenes de 15 voltios y 4 amperios y el de la derecha '+
                         'de 30 voltios y 2 amperios.';
        Memo2.lines[0]:= 'Pulsando el botón a cuyo lado se leen los valores deseados.';
     end;

end;

end.
